Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Problem with redmine after system update
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Other Things Gentoo
View previous topic :: View next topic  
Author Message
zygfrydos
n00b
n00b


Joined: 03 Dec 2017
Posts: 1

PostPosted: Sun Dec 03, 2017 10:57 am    Post subject: Problem with redmine after system update Reply with quote

Normally I was start redmine by this command:
Code:

/usr/bin/ruby /var/lib/redmine/bin/rails server  --environment=production --binding=localhost --port=3000

but now I have output:
Code:

 /usr/bin/ruby /var/lib/redmine/bin/rails server  --environment=production --binding=192.168.2.127 --port=3000
/usr/lib64/ruby/site_ruby/2.2.0/rubygems/core_ext/kernel_require.rb:55:in `require': cannot load such file -- action_dispatch/xml_params_parser (LoadError)
        from /usr/lib64/ruby/site_ruby/2.2.0/rubygems/core_ext/kernel_require.rb:55:in `require'
        from /var/lib/redmine/config/application.rb:4:in `<top (required)>'
        from /usr/lib64/ruby/site_ruby/2.2.0/rubygems/core_ext/kernel_require.rb:55:in `require'
        from /usr/lib64/ruby/site_ruby/2.2.0/rubygems/core_ext/kernel_require.rb:55:in `require'
        from /usr/lib64/ruby/gems/2.2.0/gems/railties-5.1.4/lib/rails/commands/server/server_command.rb:133:in `block in perform'
        from /usr/lib64/ruby/gems/2.2.0/gems/railties-5.1.4/lib/rails/commands/server/server_command.rb:130:in `tap'
        from /usr/lib64/ruby/gems/2.2.0/gems/railties-5.1.4/lib/rails/commands/server/server_command.rb:130:in `perform'
        from /usr/lib64/ruby/gems/2.2.0/gems/thor-0.20.0/lib/thor/command.rb:27:in `run'
        from /usr/lib64/ruby/gems/2.2.0/gems/thor-0.20.0/lib/thor/invocation.rb:126:in `invoke_command'
        from /usr/lib64/ruby/gems/2.2.0/gems/thor-0.20.0/lib/thor.rb:387:in `dispatch'
        from /usr/lib64/ruby/gems/2.2.0/gems/railties-5.1.4/lib/rails/command/base.rb:63:in `perform'
        from /usr/lib64/ruby/gems/2.2.0/gems/railties-5.1.4/lib/rails/command.rb:44:in `invoke'
        from /usr/lib64/ruby/gems/2.2.0/gems/railties-5.1.4/lib/rails/commands.rb:16:in `<top (required)>'
        from /usr/lib64/ruby/site_ruby/2.2.0/rubygems/core_ext/kernel_require.rb:133:in `require'
        from /usr/lib64/ruby/site_ruby/2.2.0/rubygems/core_ext/kernel_require.rb:133:in `rescue in require'
        from /usr/lib64/ruby/site_ruby/2.2.0/rubygems/core_ext/kernel_require.rb:40:in `require'
        from /var/lib/redmine/bin/rails:4:in `<main>'


I see that it's something wrong with:
Code:
serwer redmine # qlist -Iv actionpack-xml_parser
dev-ruby/actionpack-xml_parser-2.0.1


But emerging this not fix problem.

Ruby and rails settings looks like this:
Code:

serwer redmine # eselect ruby list
Available Ruby profiles:
  [1]   ruby22 (with Rubygems) *
serwer redmine # eselect rails list
Available Ruby on Rails versions:
  [1]   rails-5.1.4
  [2]   rails-4.2.10 *


But I also see:
Code:
serwer redmine #  /usr/bin/ruby /var/lib/redmine/bin/rails -v
Rails 5.1.4


I don't now what to do. So give me advice :)
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Other Things Gentoo All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum